# Simulate an incoming wire transfer using IBAN This tool is used to simulate incoming wire transfers (IWT) into managed accounts. IWTs are processed in line with the configuration of your application. For EUR and USD IWTs provide the destinationIbanDetails of your Managed Account, for GBP IWTs provide destinationFasterPaymentDetails or destinationIbanDetails of your Managed Account. Sender Details can also be added that is used to identify whether the IWT originated from a Linked Account (if configured) or a third party. Endpoint: POST /accounts/deposit Version: v2 Security: API_Secret_Key ## Header parameters: - `call-ref` (string) A call reference generated by the caller and unique to the caller to provide correlation between the caller and system with a maximum length of 255 ## Request fields (application/json): - `paymentReference` (string) The payment reference is needed to identify which account, in cases where the same iban is used - `depositAmount` (object, required) A message representing a monetary amount in a particular currency. - `depositAmount.currency` (string, required) The currency ISO-4217 code, i.e. a three letter uppercase code, such as GBP, EUR, USD. - `depositAmount.amount` (integer) The monetary amount, scaled to the lowest denomination of the currency. For example, an amount of 1000 for a EUR currency is actually 1000 Euro cents, i.e. EUR 10.00. - `senderName` (string) The name of the person or business sending the incoming wire transfer - `reference` (string) A reference provided by the sender of the incoming wire transfer. - `receiverName` (string) The name of the recipient of the incoming wire transfer - `txId` (integer) Id used for the transaction if provided, otherwise one will be generated - `senderIbanDetails` (object) - `senderIbanDetails.iban` (string, required) - `senderIbanDetails.bankIdentifierCode` (string) - `senderFasterPaymentsDetails` (object) - `senderFasterPaymentsDetails.sortCode` (string, required) - `senderFasterPaymentsDetails.accountNumber` (string, required) - `senderFasterPaymentsDetails.secondaryReference` (string) Supplementary identifier used by financial institutions for accounts without unique sort codes, ensuring distinction between different accounts or customers - `senderAccountDescriptorDetails` (object) - `senderAccountDescriptorDetails.accountDescriptor` (string, required) An identifier of an account that has neither an IBAN nor Faster Payments details. - `destinationIbanDetails` (object) - `destinationFasterPaymentsDetails` (object) - `paymentNetwork` (string) Optional field which indicates the payment network to use. If not provided, a default payment network will be chosen based on the currency. Enum: "SEPA", "FASTER_PAYMENTS", "SWIFT", "BACS", "CHAPS", "RIX" - `iban` (string) The iban of the account the incoming wire transfer should be processed against ## Response 200 fields (application/json): - `code` (string) Enum: "COMPLETED", "DENIED_ACCOUNT_NOT_FOUND", "DENIED_AMOUNT_NOT_POSITIVE", "DENIED_CURRENCY_NOT_ACCOUNT_CURRENCY", "DENIED_ACCOUNT_INACTIVE", "DENIED_INVALID_TX_ID", "DENIED_OTHER" ## Response 400 fields (application/json): - `message` (string) When present helps to identify and fix the problem. - `validation` (object) Description of fields which were invalid. - `validation.invalid` (boolean) - `validation.fields` (array) - `validation.fields.name` (string) - `validation.fields.errors` (array) - `validation.fields.errors.type` (string) Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE" - `validation.fields.errors.params` (array) ## Response default fields (application/json): - `message` (string) When present helps to identify and fix the problem.